.\"	$NetBSD: bcd.6,v 1.15 2003/02/25 10:34:45 wiz Exp $
.\"
.\" Copyright (c) 1988, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)bcd.6	8.1 (Berkeley) 5/31/93
.\"
.Dd November 26, 2002
.Dt BCD 6
.Os
.Sh NAME
.Nm bcd ,
.Nm ppt ,
.Nm morse
.Nd "reformat input as punch cards, paper tape or morse code"
.Sh SYNOPSIS
.Nm
.Op Ar string ...
.Nm ppt
.Op Fl d Ns \&| Ns Ar string ...
.Nm morse
.Op Fl ds Ar string ...
.Sh DESCRIPTION
The
.Nm ,
.Nm ppt
and
.Nm morse
commands read the given input and reformat it in the form of
punched cards, paper tape or morse code respectively.
Acceptable input are command line arguments or the standard input.
.Pp
Available option:
.Bl -tag -width flag
.It Fl s
The
.Fl s
option for morse produces dots and dashes rather than words.
.It Fl d
Decode
.Nm ppt
output, or
.Nm morse
output consisting of dots and slashes (as generated by using the
.Fl s
option).
.El
.Sh SEE ALSO
.Rs
.%B "ISO 1681:1973: Information processing--Unpunched paper cards--Specification"
.Re
.Rs
.%B "ISO 1682:1973: Information processing--80 columns punched paper cards--Dimensions and location of rectangular punched holes"
.Re
.Rs
.%B "ECMA-10: ECMA Standard for Data Interchange on Punched Tape"
.Re
.Rs
.%B "ITU-T Recommendation F.1: Operational provisions for the international public telegram service"
.%O "Division B, I. Morse code"
.Re
